Website Builder API
POST /services/websites/v1/websites/get Auth

Get Website

Responses

200
422
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
crud_structure object
crud_structure.webwinkel_verzendmethodes object
crud_structure.algemeen object
crud_structure.tracking object
crud_structure.integrations object
crud_structure.website object
crud_structure.forms object
crud_structure.app object
crud_structure.webwinkel_instellingen object
crud_structure.webwinkel_betaalmethodes object
crud_structure.webwinkel_template_instellingen object 'webwinkel_verzendmethodes' => [ 'title' => 'Webwinkel verzendmethodes', 'description' => '', 'fields' => [ 'shipping_methods' => [ 'title' => 'Verzendmethodes', 'type' => 'flexible', 'value' => '', 'help' => '', ], ], ],
crud_structure.webwinkel_vertalingen object
project object
project.id string
project.title string
project.favicon_image string
project.owner_id mixed
project.language mixed
project.created_at string|null
project.logo_image string
project.platform_url string
project.domain_demo string
project.dynamic_demo string
project.website_backup string
project.domain_live string
project.domain_name string
project.translations string
project.backward_compatibility string
project.timezone string
project.is_theme string
project.domain_type mixed
project.wemasy_domain string
project.wemasy_domain_without_extension mixed
project.can_use_custom_domain boolean
project.full_domain_name string
project.dns_verified boolean
project.dns_records_added_at string
project.settings object
project.modules mixed
project.webshop_settings object
project.styles object
project.theme_versions object|null
project.theme_preview_token string
project.is_framework_website boolean
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/websites/v1/websites/get" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
fetch('https://api.wemasy.nl/api/services/websites/v1/websites/get', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json'  }})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/websites/v1/websites/get');
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
r = requests.post("https://api.wemasy.nl/api/services/websites/v1/websites/get", headers=headers)
print(r.json())
Response Example
{
    "crud_structure": {
        "webwinkel_verzendmethodes": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "shipping_methods": {
                    "title": "string",
                    "add_button": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string",
                    "layouts": {
                        "country": {
                            "title": "string",
                            "fields": {
                                "country": {
                                    "title": "string",
                                    "type": "string",
                                    "value": "string",
                                    "options": []
                                },
                                "shipping_methods": {
                                    "title": "string",
                                    "add_button": "string",
                                    "type": "string",
                                    "value": "string",
                                    "help": "string",
                                    "layouts": {
                                        "weight": {
                                            "title": "string",
                                            "fields": {
                                                "title": {
                                                    "title": "string",
                                                    "type": "string",
                                                    "value": "string"
                                                }
                                            }
                                        },
                                        "pickup": {
                                            "title": "string",
                                            "fields": {
                                                "title": {
                                                    "title": "string",
                                                    "type": "string",
                                                    "value": "string"
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        },
        "algemeen": {
            "title": "string",
            "box_style": true,
            "description": "string",
            "fields": {
                "title": {
                    "title": "string",
                    "type": "string",
                    "value": "string"
                },
                "domainname": {
                    "title": "string",
                    "type": "string",
                    "value": "string"
                },
                "extension": {
                    "title": "string",
                    "type": "string",
                    "value": "string"
                },
                "logo_image": {
                    "title": "string",
                    "type": "string",
                    "value": [],
                    "help": "string",
                    "uploader": {
                        "maxFiles": 0
                    }
                },
                "favicon_image": {
                    "title": "string",
                    "type": "string",
                    "value": [],
                    "help": "string",
                    "uploader": {
                        "maxFiles": 0
                    }
                }
            }
        },
        "tracking": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "header_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                },
                "footer_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                },
                "ga_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                },
                "gt_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                },
                "gtm_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                },
                "gsv_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                }
            }
        },
        "integrations": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "livechatinc_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                },
                "hotjar_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                },
                "posthog": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                },
                "facebook_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                },
                "facebook_pixel_code": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string"
                }
            }
        },
        "website": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "disable_responsive": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string",
                    "true_value": "string",
                    "false_value": "string"
                },
                "disable_cookie": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string",
                    "true_value": "string",
                    "false_value": "string"
                }
            }
        },
        "forms": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "email_to": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "logo_image": {
                    "title": "string",
                    "type": "string",
                    "value": [],
                    "help": "string",
                    "uploader": {
                        "maxFiles": 0
                    }
                }
            }
        },
        "app": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "email_app_notification": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                }
            }
        },
        "webwinkel_instellingen": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "prices_inclusive_tax": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string",
                    "true_value": "string",
                    "false_value": "string"
                },
                "show_prices_inclusive_tax": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string",
                    "true_value": "string",
                    "false_value": "string"
                },
                "agreement_url": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                }
            }
        },
        "webwinkel_betaalmethodes": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "mollie_test_mode": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string",
                    "true_value": "string",
                    "false_value": "string"
                },
                "mollie_live_api_key": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "mollie_test_api_key": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "mollie_profile_id": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "enable_wire": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string",
                    "true_value": "string",
                    "false_value": "string"
                },
                "wire_title": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "wire_description": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "enable_pay_on_pickup": {
                    "title": "string",
                    "help": "string",
                    "type": "string",
                    "value": "string",
                    "true_value": "string",
                    "false_value": "string"
                },
                "pay_on_pickup_title": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "pay_on_pickup_description": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                }
            }
        },
        "webwinkel_template_instellingen": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "default_products_template": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "default_categories_template": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "shoppingcart_page_id": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "checkout_page_id": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                },
                "thankyou_page_id": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                }
            }
        },
        "webwinkel_vertalingen": {
            "box_style": true,
            "title": "string",
            "description": "string",
            "fields": {
                "translations": {
                    "title": "string",
                    "type": "string",
                    "value": "string",
                    "help": "string"
                }
            }
        }
    },
    "project": {
        "id": "string",
        "title": "string",
        "favicon_image": "string",
        "owner_id": "string",
        "language": "string",
        "created_at": "string",
        "logo_image": "string",
        "platform_url": "string",
        "domain_demo": "string",
        "dynamic_demo": "string",
        "website_backup": "string",
        "domain_live": "string",
        "domain_name": "string",
        "translations": "string",
        "backward_compatibility": "string",
        "timezone": "string",
        "is_theme": "string",
        "domain_type": "string",
        "wemasy_domain": "string",
        "wemasy_domain_without_extension": "string",
        "can_use_custom_domain": true,
        "full_domain_name": "string",
        "dns_verified": true,
        "dns_records_added_at": "string",
        "settings": {
            "favicon_image": "string",
            "logo_image": "string",
            "title": "string",
            "domainname": "string",
            "extension": "string",
            "crisp_code": "string",
            "header_code": "string",
            "footer_code": "string",
            "ga_code": "string",
            "gt_code": "string",
            "hotjar_code": "string",
            "posthog": "string",
            "clickcease": "string",
            "gsv_code": "string",
            "facebook_code": "string",
            "facebook_pixel_code": "string",
            "wemasy_token": "string",
            "gtm_code": "string",
            "disable_cookie": "string",
            "livechatinc_code": "string",
            "wms_livechat_code": "string",
            "email_to": "string",
            "email_from": "string",
            "smtp_username": "string",
            "smtp_password": "string",
            "smtp_host": "string",
            "smtp_port": "string",
            "smtp_encryption": "string",
            "disable_responsive": "string",
            "email_app_notification": "string"
        },
        "modules": "string",
        "webshop_settings": {
            "enabled": true,
            "shipping_methods": {},
            "shoppingcart_page": "string",
            "checkout_page": "string",
            "thankyou_page": "string",
            "show_price_tax_included": "string",
            "products_per_row": "string",
            "products_filters_per_row": "string",
            "redirect_to_cart_after_add": "string"
        },
        "styles": {
            "custom_css": "string",
            "fontfaces": "string",
            "fonts": "string",
            "textsizes": "string",
            "headingsizes": "string",
            "tabletheadingsizes": "string",
            "mobileheadingsizes": "string",
            "tablettextsizes": "string",
            "mobiletextsizes": "string",
            "button": "string",
            "accordion": "string",
            "colors": "string"
        },
        "theme_versions": {
            "selected_version": "string",
            "selected_version_token": "string",
            "available_versions": []
        },
        "theme_preview_token": "string",
        "is_framework_website": true
    }
}

Try It

Export